注释
GET https://analytics.ospyo.com/api/annotations/
curl --request GET \
--url 'https://analytics.ospyo.com/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ospyo.com/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详情 | 描述 |
|---|---|---|
| website_id | 可选 整数 | |
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 您按哪个字段搜索。允许的值有:name。 |
| datetime_field | 可选 字符串 | 允许的值:datetime, last_datetime, chart_datetime |
| datetime_start | 可选 字符串 | 筛选从此日期时间开始的结果。格式为 Y-m-d H:i:s。 |
| datetime_end | 可选 字符串 | 筛选截止到此日期时间的结果。格式为 Y-m-d H:i:s。 |
| order_by | 可选 字符串 | 按哪个字段对结果排序。允许的值有:annotation_id, website_id, datetime, last_datetime, name, chart_datetime。 |
| order_type | 可选 字符串 | 结果的排序方式。允许的值有:ASC 表示升序,DESC 表示降序。 |
| page | 可选 整数 | 您希望获取结果的页码。默认为 1。 |
| results_per_page | 可选 整数 | 您希望每页显示多少结果。允许的值有:10, 25, 50, 100, 250, 500, 1000。默认为 25。 |
{
"data": [
{
"id": 1,
"website_id: 1,
"user_id: 1,
"name": "Example",
"chart_datetime": "2026-06-24 06:20:52",
"datetime": "2026-06-24 06:20:52",
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics.ospyo.com/api/annotations?page=1",
"last": "https://analytics.ospyo.com/api/annotations?page=1",
"next": null,
"prev": null,
"self": "https://analytics.ospyo.com/api/annotations?page=1"
}
}
GET https://analytics.ospyo.com/api/annotations/{annotation_id}
curl --request GET \
--url 'https://analytics.ospyo.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ospyo.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id: 1,
"user_id: 1,
"name": "Example",
"chart_datetime": "2026-06-24 06:20:52",
"datetime": "2026-06-24 06:20:52",
"last_datetime": null
}
}
POST https://analytics.ospyo.com/api/annotations
| 参数 | 详情 | 描述 |
|---|---|---|
| website_id | 必需 整数 | - |
| name | 必需 字符串 | - |
| chart_datetime | 必需 字符串 | Y-m-d H:i:s |
curl --request POST \
--url 'https://analytics.ospyo.com/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-06-24 06:20:52' \
--url 'https://analytics.ospyo.com/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-06-24 06:20:52' \
{
"data": {
"id": 1
}
}
POST https://analytics.ospyo.com/api/annotations/{annotation_id}
| 参数 | 详情 | 描述 |
|---|---|---|
| website_id | 可选 整数 | - |
| name | 可选 字符串 | - |
| chart_datetime | 可选 字符串 | Y-m-d H:i:s |
curl --request POST \
--url 'https://analytics.ospyo.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://analytics.ospyo.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://analytics.ospyo.com/api/annotations/{annotation_id}
curl --request DELETE \
--url 'https://analytics.ospyo.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ospyo.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \